# Uses of Class
org.eclipse.jface.viewers.ViewerSorter

Packages that use ViewerSorter
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.
org.eclipse.ui.navigator
Provides the Common Navigator framework.

## Uses of ViewerSorter in org.eclipse.jface.viewers

Subclasses of ViewerSorter in org.eclipse.jface.viewers
Modifier and Type
Class
Description
`class`
`TreePathViewerSorter`
A viewer sorter that is provided extra context in the form of the path of the parent element of the elements being sorted.
Methods in org.eclipse.jface.viewers that return ViewerSorter
Modifier and Type
Method
Description
`ViewerSorter`
StructuredViewer.`getSorter()`
Returns this viewer's sorter, or `null` if it does not have one.
Methods in org.eclipse.jface.viewers with parameters of type ViewerSorter
Modifier and Type
Method
Description
`void`
StructuredViewer.`setSorter(ViewerSorter sorter)`
Deprecated.
use `setComparator()` instead.

## Uses of ViewerSorter in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs with parameters of type ViewerSorter
Modifier and Type
Method
Description
`void`
CheckedTreeSelectionDialog.`setSorter(ViewerSorter sorter)`
Deprecated.
since 3.3, use `CheckedTreeSelectionDialog.setComparator(ViewerComparator)` instead
`void`
ElementTreeSelectionDialog.`setSorter(ViewerSorter sorter)`
Deprecated.
as of 3.3, use `ElementTreeSelectionDialog.setComparator(ViewerComparator)` instead

## Uses of ViewerSorter in org.eclipse.ui.model

Subclasses of ViewerSorter in org.eclipse.ui.model
Modifier and Type
Class
Description
`class`
`WorkbenchViewerSorter`
Deprecated.
as of 3.3, use `WorkbenchViewerComparator` instead

## Uses of ViewerSorter in org.eclipse.ui.navigator

Subclasses of ViewerSorter in org.eclipse.ui.navigator
Modifier and Type
Class
Description
`final class`
`CommonViewerSorter`
Provides an implementation of TreeViewerSorter that uses the given parent to determine the correct sort order based on the defined org.eclipse.ui.navigator.navigatorContent/navigatorContent/commonSorter elements available in the set of visible content extensions.
Methods in org.eclipse.ui.navigator that return ViewerSorter
Modifier and Type
Method
Description
`ViewerSorter`
INavigatorSorterService.`findSorter(INavigatorContentDescriptor source, Object parent, Object lvalue, Object rvalue)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `INavigatorSorterService.findComparator(INavigatorContentDescriptor, Object, Object, Object)` instead.
`ViewerSorter`
INavigatorSorterService.`findSorterForParent(Object aParent)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `INavigatorSorterService.findComparatorForParent(Object)` instead
Methods in org.eclipse.ui.navigator with parameters of type ViewerSorter
Modifier and Type
Method
Description
`void`
CommonViewer.`setSorter(ViewerSorter sorter)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `CommonViewer.setComparator(ViewerComparator)` instead.